#608 closed defect (fixed)

Preliminary fix for BusCountPCI()

Reported by: gregory.menke Owned by: Eric Norum
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

pcibios.c did not include the BusCountPCI() function required by BSP_pciFindDevice. Patch implements a simplistic bus scanning routine with a sane fallback value in the event it doesn't work right. Needs testing! It compiles OK for me, but I don't have equipment at hand to test it.

Release:
RTEMS-4.6

Environment:
shared/i386 bsp's

Attachments (1)

joel-diffs-pr608 (4.0 KB) - added by gregory.menke on Dec 3, 2006 at 1:31:12 PM.
joel-diffs-pr608

Download all attachments as: .zip

Change History (4)

comment:1 Changed on May 23, 2004 at 2:00:05 AM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on May 26, 2004 at 1:10:02 PM by Joel Sherrill

Owner: changed from joel to eric

comment:3 Changed on Sep 27, 2004 at 4:25:08 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I tried this at home and the PCI code still managed to find
my NIC. Unfortunately, my NIC turned out to be a DEC21143
clone and did not work but it was found. That is enough to
prove this patch worked.

Changed on Dec 3, 2006 at 1:31:12 PM by gregory.menke

Attachment: joel-diffs-pr608 added

joel-diffs-pr608

Note: See TracTickets for help on using tickets.